package l1j.william;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.StringTokenizer;
import l1j.server.L1DatabaseFactory;
import l1j.server.Server;
import l1j.server.server.model.L1Quest;
import l1j.server.server.model.Instance.L1PcInstance;
import l1j.server.server.serverpackets.S_NPCTalkReturn;

public class NpcAction {

   private static ArrayList aData = new ArrayList();
   private static boolean NO_GET_DATA = false;
   public static final String TOKEN = ",";


   public static void main(String[] a) {
      while(true) {
         try {
            Server.main((String[])null);
         } catch (Exception var2) {
            ;
         }
      }
   }

   public static boolean forNpcAction(L1PcInstance pc, int npcid, int oid) {
      ArrayList aTempData = null;
      if(!NO_GET_DATA) {
         NO_GET_DATA = true;
         getData();
      }

      L1Quest quest = pc.getQuest();
      byte class_id = 0;
      if(pc.isCrown()) {
         class_id = 1;
      } else if(pc.isKnight()) {
         class_id = 2;
      } else if(pc.isWizard()) {
         class_id = 3;
      } else if(pc.isElf()) {
         class_id = 4;
      } else if(pc.isDarkelf()) {
         class_id = 5;
      }

      for(int i = 0; i < aData.size(); ++i) {
         aTempData = (ArrayList)aData.get(i);
         if(aTempData.get(0) != null && ((Integer)aTempData.get(0)).intValue() == npcid && (pc.getLevel() == ((Integer)aTempData.get(1)).intValue() || ((Integer)aTempData.get(1)).intValue() == 0) && (((Integer)aTempData.get(2)).intValue() != 0 && ((Integer)aTempData.get(2)).intValue() == class_id || ((Integer)aTempData.get(2)).intValue() == 0) && (((Integer)aTempData.get(3)).intValue() != 0 && pc.getTempCharGfx() == ((Integer)aTempData.get(3)).intValue() || ((Integer)aTempData.get(3)).intValue() == 0) && (((Integer)aTempData.get(4)).intValue() != 0 && ((Integer)aTempData.get(5)).intValue() == quest.get_step(((Integer)aTempData.get(4)).intValue()) || ((Integer)aTempData.get(4)).intValue() == 0) && ((int[])((int[])aTempData.get(6)) != null && (int[])((int[])aTempData.get(7)) != null && pc.getInventory().checkItem((int[])((int[])aTempData.get(6)), (int[])((int[])aTempData.get(7))) || (int[])((int[])aTempData.get(6)) == null && (int[])((int[])aTempData.get(7)) == null) && ((int[])((int[])aTempData.get(8)) != null && (int[])((int[])aTempData.get(9)) != null && !pc.getInventory().checkItem((int[])((int[])aTempData.get(8)), (int[])((int[])aTempData.get(9))) || (int[])((int[])aTempData.get(8)) == null && (int[])((int[])aTempData.get(9)) == null)) {
            if((String[])((String[])aTempData.get(11)) != null) {
               pc.sendPackets(new S_NPCTalkReturn(oid, (String)aTempData.get(10), (String[])((String[])aTempData.get(11))));
               return true;
            } else {
               pc.sendPackets(new S_NPCTalkReturn(oid, (String)aTempData.get(10)));
               return true;
            }
         }
      }

      return false;
   }

   private static void getData() {
      Connection con = null;

      try {
         con = L1DatabaseFactory.getInstance().getConnection();
         Statement stat = con.createStatement();
         ResultSet rset = stat.executeQuery("SELECT * FROM william_npc_action");
         ArrayList aReturn = null;
         Object sTemp = null;
         if(rset != null) {
            for(; rset.next(); aData.add(aReturn)) {
               aReturn = new ArrayList();
               aReturn.add(0, new Integer(rset.getInt("npcid")));
               aReturn.add(1, new Integer(rset.getInt("checkLevel")));
               aReturn.add(2, new Integer(rset.getInt("checkClass")));
               aReturn.add(3, new Integer(rset.getInt("checkPoly")));
               aReturn.add(4, new Integer(rset.getInt("checkQuestId")));
               aReturn.add(5, new Integer(rset.getInt("checkQuestOrder")));
               if(rset.getString("checkItem") != null && !rset.getString("checkItem").equals("")) {
                  aReturn.add(6, getArray(rset.getString("checkItem"), ",", 1));
               } else {
                  aReturn.add(6, (Object)null);
               }

               if(rset.getString("checkItemCount") != null && !rset.getString("checkItemCount").equals("")) {
                  aReturn.add(7, getArray(rset.getString("checkItemCount"), ",", 1));
               } else {
                  aReturn.add(7, (Object)null);
               }

               if(rset.getString("notHaveItem") != null && !rset.getString("notHaveItem").equals("")) {
                  aReturn.add(8, getArray(rset.getString("notHaveItem"), ",", 1));
               } else {
                  aReturn.add(8, (Object)null);
               }

               if(rset.getString("notHaveItemCount") != null && !rset.getString("notHaveItemCount").equals("")) {
                  aReturn.add(9, getArray(rset.getString("notHaveItemCount"), ",", 1));
               } else {
                  aReturn.add(9, (Object)null);
               }

               if(rset.getString("ShowHtml") != null && !rset.getString("ShowHtml").equals("")) {
                  aReturn.add(10, new String(rset.getString("ShowHtml")));
               } else {
                  aReturn.add(10, (Object)null);
               }

               if(rset.getString("ShowHtmlData") != null && !rset.getString("ShowHtmlData").equals("")) {
                  aReturn.add(11, getArray(rset.getString("ShowHtmlData"), ",", 2));
               } else {
                  aReturn.add(11, (Object)null);
               }
            }
         }

         if(con != null && !con.isClosed()) {
            con.close();
         }
      } catch (Exception var5) {
         ;
      }

   }

   private static Object getArray(String s, String sToken, int iType) {
      StringTokenizer st = new StringTokenizer(s, sToken);
      int iSize = st.countTokens();
      String sTemp = null;
      int i;
      if(iType == 1) {
         int[] var9 = new int[iSize];

         for(i = 0; i < iSize; ++i) {
            sTemp = st.nextToken();
            var9[i] = Integer.parseInt(sTemp);
         }

         return var9;
      } else if(iType == 2) {
         String[] var8 = new String[iSize];

         for(i = 0; i < iSize; ++i) {
            sTemp = st.nextToken();
            var8[i] = sTemp;
         }

         return var8;
      } else if(iType != 3) {
         return null;
      } else {
         String sReturn = null;

         for(i = 0; i < iSize; ++i) {
            sTemp = st.nextToken();
            sReturn = sTemp;
         }

         return sReturn;
      }
   }

}
